package com.gic.haoban.manage.api.dto.chat;

import com.gic.haoban.manage.api.qdto.chat.GroupChatActivityJoinQDTO;

import java.io.Serializable;
import java.util.Date;
import java.util.List;

/**
 * 社群邀请有礼表(TabHaobanGroupChatActivity)实体类
 *
 * @author makejava
 * @since 2024-09-27 16:09:38
 */
public class GroupChatActivityDTO extends GroupChatActivityBaseDTO implements Serializable {
    private static final long serialVersionUID = 973688857967269973L;

    /**
     * 奖励规则列表
     */
    private List<GroupChatActivityRewardDTO> rewardList;

    /**
     * 入群规则列表
     */
    private List<GroupChatActivityJoinDTO> joinList;

    public List<GroupChatActivityRewardDTO> getRewardList() {
        return rewardList;
    }

    public void setRewardList(List<GroupChatActivityRewardDTO> rewardList) {
        this.rewardList = rewardList;
    }

    public List<GroupChatActivityJoinDTO> getJoinList() {
        return joinList;
    }

    public void setJoinList(List<GroupChatActivityJoinDTO> joinList) {
        this.joinList = joinList;
    }
}

